<?php

/**
 * Mymodule is a Test module, This is drush command example
 * mymodule
 */


/**
 * Implements hook_drush_command().
 */
function mymodule_drush_command() {
  $commands = [];
  $commands['my-cmd'] = [
    'description' => 'A test command my-cmd.',
  ];
  $commands['mycommand'] = [
    'description' => 'This is my example command.',
    'aliases' => ['mec'],
    'arguments' => [
      'arg1' => 'My custom argument 1.',
      'arg2' => 'My custom argument 2.',
    ],
    'options' => [
      'opt1' => 'My custom option.',
    ],
    'examples' => [
      'drush mec' => 'Print my example command.',
      'drush mec myargument' => 'Print my example command with an argument "myargument".',
      'drush mec myargument --opt1=myoption' => 'Print my example command with an argument "myargument" and an option "myoption".',
    ],
  ];
  return $commands;
}

/**
 * Call back function drush_custom_drush_command_say_hello()
 * The call back function name in the  following format
 *   drush_{module_name}_{item_id_for_command}()
 */
function drush_mymodule_my_cmd() {
  // Your codes
  return "My Drush command 'my-cmd' is OK";
}

/**
 * Test command 2 : mycommand or mec
 */
function drush_mymodule_mycommand($arg = '?') {
  // Your codes
  $opt1 = drush_get_option('opt1', 'N/A');
  drush_print("Argument : $arg, Option : $opt1");
  return "My Drush command 'mycommand' is OK";
}

